WOCAT Website - User Story #1707

Webseite: Media library
20 Jul 2017 12:30 - Anonymous

Status: Closed Start date: 02 Oct 2017
Priority: High Due date: 23 Mar 2018
Assignee: Deborah Niggli % Done: 0%
Category: Estimated time: 50.00 hours
Target version: GIZ Proposal 2017 Spent time: 21.75 hours
Description

Die Media library sollte nach dem Launch der Webseite / Mitte Herbst angepasst werden. Wie genau wird dann noch zwischen
WOCAT Sec. und IT besprochen.

History

#1 - 03 Aug 2017 11:33 - Kurt Gerber

- Status changed from New to Closed

Ticket bitte erst erfassen, wenn Klar ist, was gemacht werden soll!

#2 - 11 Aug 2017 10:44 - Kurt Gerber
- Status changed from Closed to New
- Assignee changed from Kurt Gerber to Deborah Niggli

- Priority changed from Low to Normal

#3 - 11 Aug 2017 10:44 - Kurt Gerber

- Tracker changed from Feature to User Story

#4 - 11 Aug 2017 10:54 - Kurt Gerber
- Project changed from QCAT to WOCAT Website

#5 - 11 Aug 2017 10:57 - Kurt Gerber

Da gibt es bereits ein anderes Ticket mit einem konkreten Feedback drin (offenbar aus einem Email): #1690

#6 - 14 Aug 2017 13:51 - Renate Fleiner
- File Bsp Auflistung.jpg added

- Dropdown Liste «Years» sollte chronologisch von 2017 riickwarts aufgefiihrt sein, mit folgenden wahlbaren Optionen (Begriindung: 5-Jahres
Schritte sowie aktuelles Jahr separat da nicht in allen Jahren Material vorhanden ist und Dropdownliste verkirzt und somit Gbersichtlicher wird):
Since 2000
- Dropdown Liste fur die Sprachen anpassen so dass nur die Sprachen erscheinen, fir welche Material vorhanden ist, was meistens Englisch,
Spanisch, Franzésisch oder Russisch ist, bei Videos auch noch andere.

- Wenn man in der Auswahl Gber den Filtern z.B. auf «Books» in der Auswahl klickt, werden zwar die Biicher rausgefiltert aber der Titel wird nicht fett
angezeigt -> Anderung so dass das Ausgewdhlte jeweils fett angezeigt wird.

- Auflistung des gefilterten Materials wie folgt anpassen fiir verbesserte Benutzerfreundlichkeit und Ubersichtlichkeit: Auflistung von oben nach unten
benutzerfreundlicher als von links nach rechts (s. Beispiel in screenshot unten); Gefiltertes Material muss anders angeordnet werden kénnen z.B. in
alphabetischer Reihenfolge des Titels: aktuell ist eine solche Anordnung im CMS gar nicht méglich;

- Text von link ‘show media’ umandern in ‘more’

- Im CMS kann beim Erfassen von Material unter ‘continent’ nur jeweils ein Kontinent oder gar keiner ausgewahlt werden: so andern dass auch ‘all’
oder mehrere ausgewahlt werden kénnen

#7 - 17 Aug 2017 16:56 - Lukas Vonlanthen
- Estimated time set to 50.00 h

Summary der Tasks nach Besprechung mit Deborah, Kurt und Lukas (17.8.2017)
Listenansicht:

Einheitlicher machen (Platzhalter fur Bild, auch wo keines vorhanden)
Resultate alphabetisch ordnen

Pagination einfihren: 12 Entries pro Seite (= 3 Rows)

Link "Show Media" entfernen, dafiir ganze Kachel als Link

evtl: Auf kleinen Screens sind Bilder sehr gross

Filter generell:

e Suchfeld prominenter (z.B. oberhalb Dropdowns als eigene Reihe)
e Filter nach Typ (Book, Video, ...) auch als Dropdown
¢ Ajax-Suche statt Apply-Button

Filter Dropdown Year:

¢ Minimalvariante: Chronologisch ordnen
e Bessere Losung: 2 Inputfelder daraus machen (since / until) -> Schauen ob Jahrzahlen in DB als Integers gespeichert

Filter Dropdown Sprache:

¢ Falls moglich, nur verwendete Sprachen (nur Sprachen, in denen es Medien hat) auflisten
Filter Dropdown Continents:

¢ Braucht inhaltliche und konzeptionelle Diskussion von WOCAT Sekretariat, keine technischen Schritte vorgesehen
Filter Dropdown Countries:

e Nur verwendete Lander auflisten

#8 - 24 Aug 2017 12:24 - Kurt Gerber
- Target version set to GIZ Proposal 2017

#9 - 28 Sep 2017 10:58 - Kurt Gerber
- Priority changed from Normal to High

#10 - 28 Sep 2017 11:07 - Kurt Gerber

- Status changed from New to Accepted

#11 - 28 Sep 2017 11:20 - Kurt Gerber
- Due date set to 23 Mar 2018
- Start date changed from 20 Jul 2017 to 02 Oct 2017

#12 - 07 Nov 2017 13:15 - Lukas Vonlanthen
- Status changed from Accepted to Feedback

#13 - 07 Nov 2017 14:43 - Anonymous
Feedback zur Dev-Version (AG/NL)

Von oben kopiert:

- Dropdown Liste «Years» sollte chronologisch von 2017 riickwarts aufgefiihrt sein, mit folgenden wahlbaren Optionen (Begriindung:
5-Jahres Schritte sowie aktuelles Jahr separat da nicht in allen Jahren Material vorhanden ist und Dropdownliste verkiirzt und somit
tibersichtlicher wird):

0 All years

0 Since 2017

0 Since 2015

0 Since 2010

0 Since 2005

0 Since 2000
0 Since 1995

--> (i) es beginnt nicht beim aktuellsten Jahr, sondern beim &ltesten Jahr, (ii) es sollte automatisch immer ein Jahr dazu tun, d.h. 2018 sollte
automatisch neu generiert und zuoberst erscheinen, (iii) since (all years) hort sich komisch an -> eher wie abgemacht "all years", oder "all" -> fiir alle
Publikationen, und (iv) fir vor 2005 eher "earlier", (v) es wird nicht in 5-er Schritten sondern jahrlich angepasst.

--> Generell ist es etwas unibersichtlich, dass man die Jahre in 2 Feldern angeben muss, wére es mdglich eine Art "Schieber" zu erstellen (von-bis)

- Dropdown Liste fiir die Sprachen anpassen so dass nur die Sprachen erscheinen, fiir welche Material vorhanden ist, was meistens
Englisch, Spanisch, Franzésisch oder Russisch ist, bei Videos auch noch andere.

--> Schwierig zu beurteilen, ob es nur Publikationen in dieser Sprache hat, soweit scheint es aber ok.

--> Was wenn wir Dokumente in neuer Sprache haben, kdnnen wir die Sprache selber hinzufligen oder muss das Uber die IT gemacht werden?

- Wenn man in der Auswahl liber den Filtern z.B. auf «Books» in der Auswahl klickt, werden zwar die Biicher rausgefiltert aber der Titel
wird nicht fett angezeigt >-Anderung-so-dass-das-Ausgewahlte jeweils-fett-angezeigt wird:

-> Scheint ok zu sein, wenn damit gemeint ist, dass das "Books" nun grau hinterlegt ist.

- Auflistung des gefilterten Materials wie folgt anpassen fiir verbesserte Benutzerfreundlichkeit und Ubersichtlichkeit: Auflistung von oben
nach unten benutzerfreundlicher als von links nach rechts (s. Beispiel in screenshot unten); Gefiltertes Material muss anders angeordnet
werden kénnen z.B. in alphabetischer Reihenfolge des Titels: aktuell ist eine solche Anordnung im CMS gar nicht moglich;

--> soweit wir sehen ist es noch von links nach rechts, was aber fr uns mehr Sinn macht als von unten nach oben. Kénnen wir (WOCAT Sec.) selber
nun auch Anpassungen bzg. Reihenfolge machen oder ist es immer alphabetisch?

- Text von link ‘show media’ uméandern in ‘more’
--> es steht nicht "more" anstatt "show media" drin / aber auch so mit ganzer Kachel ok, je nachdem was mit RF vereinbart wurde

- Im CMS kann beim Erfassen von Material unter ‘continent’ nur jeweils ein Kontinent oder gar keiner ausgewahlt werden: so dndern dass
auch ‘all’ oder mehrere ausgewahlt werden kénnen

--> ist noch nicht méglich

--> Dropdown ware gut, da sie ja auch im CMS ausgesucht werden missen

--> werden L&nder die neu hinzugefugt werden automatisch auch im Dropdown aufgenommen?

#14 - 13 Nov 2017 09:39 - Nina Lauterburg

Ich habe das Ticket nun mit Deborah angeschaut und es ist alles gut so, vielen Dank. Entschuldigt bitte die Verwirrung und dass wir das Ticket nicht
richtig gelesen haben. Hier noch eine Info zu den Kontinenten: Ich habe jetzt mal einen Kontinent "Global" in die dropdown Liste eingefiigt, damit
Medien mit mehreren Kontinenten auf diese Weise gesucht werden kénnten (und im CMS so zugeordnet werden kénnen). Wir hatten diese Lésung
bereits auf der alten Website bei den Videos. Falls spater mal Geld und Zeit zur Verfigung ist, kdnnte programmiert werden, dass mehrere
Kontinente ausgewahlt werden kénnen (CMS). Ich informiere das WOCAT Team noch dariber.

#15 - 14 Nov 2017 12:01 - Lukas Vonlanthen
- Status changed from Feedback to Closed

Files

Bsp Auflistung.jpg 101 KB 14 Aug 2017 Renate Fleiner
